/*
 * Class INDEXABLE [REAL_32, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2156 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2156 [] = {0xFF01,1551,2155,857,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2156 [] = {0xFF01,2155,857,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2156 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2156 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2156 [] = {0xFF01,2155,857,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2156 [] = {0xFF01,2155,857,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2156 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2156 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2156 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2156 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2156 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2156 [] = {2155,857,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2156 [] = {0xFF01,2155,857,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2156 [] = {0xFF01,2141,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2156 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2156 [] = {0xFF01,2136,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2156 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2156 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2156 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2156 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2156 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2156 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_2156[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2156), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2156), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2156), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2156), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2156), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2156), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2156), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2156), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2156), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2156), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2156), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2156), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2156), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2156), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8669, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8670, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8671, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8672, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2156), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2156), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9051, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9072, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9052, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9053, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2156), 11023, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2156), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2156), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2156), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2156), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2156), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2156), -1, 0xFFFFFFFF},
};
void Init2156(void)
{
	IDSC(desc_2156, 0, 2155);
	IDSC(desc_2156 + 1, 1, 2155);
	IDSC(desc_2156 + 32, 1134, 2155);
	IDSC(desc_2156 + 41, 1135, 2155);
	IDSC(desc_2156 + 50, 1088, 2155);
	IDSC(desc_2156 + 52, 916, 2155);
	IDSC(desc_2156 + 58, 1570, 2155);
	IDSC(desc_2156 + 61, 778, 2155);
	IDSC(desc_2156 + 62, 794, 2155);
}


#ifdef __cplusplus
}
#endif
